org.eclipse.aether.resolution

## Class ArtifactRequest

- java.lang.Object
- - org.eclipse.aether.resolution.ArtifactRequest

-     public final class ArtifactRequest
      extends Object

  A request to resolve an artifact.
  See Also:
    `RepositorySystem.resolveArtifacts(RepositorySystemSession, java.util.Collection)`, `Artifact.getFile()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactRequest()` Creates an uninitialized request.
    `ArtifactRequest(Artifact artifact, List<RemoteRepository> repositories, String context)` Creates a request with the specified properties.
    `ArtifactRequest(DependencyNode node)` Creates a request from the specified dependency node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArtifactRequest` | `addRepository(RemoteRepository repository)` Adds the specified repository for the resolution.
    `Artifact` | `getArtifact()` Gets the artifact to resolve.
    `DependencyNode` | `getDependencyNode()` Gets the dependency node (if any) for which to resolve the artifact.
    `List<RemoteRepository>` | `getRepositories()` Gets the repositories to resolve the artifact from.
    `String` | `getRequestContext()` Gets the context in which this request is made.
    `RequestTrace` | `getTrace()` Gets the trace information that describes the higher level request/operation in which this request is issued.
    `ArtifactRequest` | `setArtifact(Artifact artifact)` Sets the artifact to resolve.
    `ArtifactRequest` | `setDependencyNode(DependencyNode node)` Sets the dependency node to resolve.
    `ArtifactRequest` | `setRepositories(List<RemoteRepository> repositories)` Sets the repositories to resolve the artifact from.
    `ArtifactRequest` | `setRequestContext(String context)` Sets the context in which this request is made.
    `ArtifactRequest` | `setTrace(RequestTrace trace)` Sets the trace information that describes the higher level request/operation in which this request is issued.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactRequest

          public ArtifactRequest()

      Creates an uninitialized request.

    - #### ArtifactRequest

          public ArtifactRequest(Artifact artifact,
                         List<RemoteRepository> repositories,
                         String context)

      Creates a request with the specified properties.
      Parameters:
        `artifact` - The artifact to resolve, may be `null`.
        `repositories` - The repositories to resolve the artifact from, may be `null`.
        `context` - The context in which this request is made, may be `null`.

    - #### ArtifactRequest

          public ArtifactRequest(DependencyNode node)

      Creates a request from the specified dependency node.
      Parameters:
        `node` - The dependency node to resolve, may be `null`.

  - ### Method Detail

    - #### getArtifact

          public Artifact getArtifact()

      Gets the artifact to resolve.
      Returns:
        The artifact to resolve or `null`.

    - #### setArtifact

          public ArtifactRequest setArtifact(Artifact artifact)

      Sets the artifact to resolve.
      Parameters:
        `artifact` - The artifact to resolve, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getDependencyNode

          public DependencyNode getDependencyNode()

      Gets the dependency node (if any) for which to resolve the artifact.
      Returns:
        The dependency node to resolve or `null` if unknown.

    - #### setDependencyNode

          public ArtifactRequest setDependencyNode(DependencyNode node)

      Sets the dependency node to resolve.
      Parameters:
        `node` - The dependency node to resolve, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getRepositories

          public List<RemoteRepository> getRepositories()

      Gets the repositories to resolve the artifact from.
      Returns:
        The repositories, never `null`.

    - #### setRepositories

          public ArtifactRequest setRepositories(List<RemoteRepository> repositories)

      Sets the repositories to resolve the artifact from.
      Parameters:
        `repositories` - The repositories, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### addRepository

          public ArtifactRequest addRepository(RemoteRepository repository)

      Adds the specified repository for the resolution.
      Parameters:
        `repository` - The repository to add, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getRequestContext

          public String getRequestContext()

      Gets the context in which this request is made.
      Returns:
        The context, never `null`.

    - #### setRequestContext

          public ArtifactRequest setRequestContext(String context)

      Sets the context in which this request is made.
      Parameters:
        `context` - The context, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getTrace

          public RequestTrace getTrace()

      Gets the trace information that describes the higher level request/operation in which this request is issued.
      Returns:
        The trace information about the higher level operation or `null` if none.

    - #### setTrace

          public ArtifactRequest setTrace(RequestTrace trace)

      Sets the trace information that describes the higher level request/operation in which this request is issued.
      Parameters:
        `trace` - The trace information about the higher level operation, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.